Update report
curl --request PUT \
--url https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/reports/{reportId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endResultCell": "<string>",
"externalWorkbookId": "<string>",
"folderId": 123,
"jsonQuery": "<string>",
"meta": {},
"name": "<string>",
"pivotItems": {
"columns": [
"<string>"
],
"filters": [
"<string>"
],
"measures": [
"<string>"
],
"rows": [
"<string>"
]
},
"resultLocation": "<string>",
"sqlQuery": "<string>",
"title": "<string>",
"workbookId": 123
}
'import requests
url = "https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/reports/{reportId}"
payload = {
"endResultCell": "<string>",
"externalWorkbookId": "<string>",
"folderId": 123,
"jsonQuery": "<string>",
"meta": {},
"name": "<string>",
"pivotItems": {
"columns": ["<string>"],
"filters": ["<string>"],
"measures": ["<string>"],
"rows": ["<string>"]
},
"resultLocation": "<string>",
"sqlQuery": "<string>",
"title": "<string>",
"workbookId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endResultCell: '<string>',
externalWorkbookId: '<string>',
folderId: 123,
jsonQuery: '<string>',
meta: {},
name: '<string>',
pivotItems: {
columns: ['<string>'],
filters: ['<string>'],
measures: ['<string>'],
rows: ['<string>']
},
resultLocation: '<string>',
sqlQuery: '<string>',
title: '<string>',
workbookId: 123
})
};
fetch('https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-12-25",
"deploymentId": 123,
"id": 123,
"name": "<string>",
"publicId": "<string>",
"refreshedByUser": {
"email": "<string>",
"id": 123,
"firstName": "<string>",
"picture": "<string>"
},
"updatedAt": "2023-12-25",
"user": {
"email": "<string>",
"id": 123,
"firstName": "<string>",
"picture": "<string>"
},
"userId": 123,
"createdBy": 123,
"description": "<string>",
"endResultCell": "<string>",
"externalWorkbookId": "<string>",
"folderId": 123,
"jsonQuery": "<string>",
"meta": {},
"pivotItems": {
"columns": [
"<string>"
],
"filters": [
"<string>"
],
"measures": [
"<string>"
],
"rows": [
"<string>"
]
},
"refreshedBy": 123,
"resultLocation": "<string>",
"rolesWithAccess": [
{
"actions": [],
"id": 123,
"name": "<string>"
}
],
"sqlQuery": "<string>",
"title": "<string>",
"version": 123,
"workbookId": 123
}Reports
Update report
PUT
/
v1
/
deployments
/
{deploymentId}
/
reports
/
{reportId}
Update report
Authorizations
Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.
Body
application/json
UpdateReportInput
Response
200 - application/json
Required string length:
12Pattern:
^[0-9A-Za-z]+$Show child attributes
Show child attributes
Available options:
FOLDER, WORKBOOK, REPORT Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
GOOGLE_SHEETS, EXCEL, PLAYGROUND, D3 ⌘I